Package com.avaya.clientservices.messaging.enums

## Enum MessageReadState

- java.lang.Object
- - java.lang.Enum<MessageReadState>
  - - com.avaya.clientservices.messaging.enums.MessageReadState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessageReadState>`

      public enum MessageReadState
      extends java.lang.Enum<MessageReadState>

  Represents read state of a message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NOT_READ` | Not read by any recipient (outgoing message) or not read by me (incoming messages).
    `PARTIALLY_READ` | Outgoing message read by certain recipients.
    `READ` | Read by all recipients (outgoing message) or marked as read by me (incoming message).
    `UNKNOWN` | Unknown status.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessageReadState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessageReadState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final MessageReadState UNKNOWN

      Unknown status. Default value for outgoing messages.

    - #### NOT_READ

          public static final MessageReadState NOT_READ

      Not read by any recipient (outgoing message) or not read by me (incoming messages).

    - #### READ

          public static final MessageReadState READ

      Read by all recipients (outgoing message) or marked as read by me (incoming message).

    - #### PARTIALLY_READ

          public static final MessageReadState PARTIALLY_READ

      Outgoing message read by certain recipients.

  - ### Method Detail

    - #### values

          public static MessageReadState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageReadState c : MessageReadState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageReadState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null